#ifndef __CODE_H__
#define __CODE_H__

#include<vector>
#include<vector>
using namespace std;
vector <int> vect;
int idx,vis[1005][1005],manj[1005][1005];

int Pitaj(int i, int j);

vector<int> Nadji(int N, int K) {

    int n=N;
    bool nista;

//    printf("%d\n", n);

    for (int i=1;i<=n;i++) {
        for (int j=1;j<=n;j++) {
//            printf("%d %d\n", i, j);
            vis[i][j]=Pitaj(i,j);
        }
    }

    for (int i=1;i<=n;i++) {
        idx=1;
        for (int j=2;j<=n;j++) {
//            printf("drugo %d %d\n", i, j);
            if (vis[i][j] > vis[i][idx]) idx=j;
        }

        nista=false;

        for (int j=1;j<=n;j++) {
            if (j==idx) continue;
            if (vis[i][j]==vis[i][idx]) {
                nista=true;
//                printf("i:%d  j:%d  idx:%d  vis[i][j]:%d  vis[idx][j]:%d\n", i, j, idx, vis[i][j], vis[idx][j]);
                break;
            }
        }

        if (!nista) manj[i][idx]++;
    }

    for (int j=1;j<=n;j++) {
        idx=1;
        for (int i=2;i<=n;i++) {
            if (vis[i][j] < vis[idx][j]) idx=i;
        }

        nista=false;
        for (int i=1;i<=n;i++) {
            if (i==idx) continue;
            if (vis[i][j]==vis[idx][j]) {
                nista=true;
//                printf("i:%d  j:%d  idx:%d  vis[i][j]:%d  vis[idx][j]:%d\n", i, j, idx, vis[i][j], vis[idx][j]);
                break;
            }

        }

        if (!nista) manj[idx][j]++;
    }

//    printf("\nmanjj\n");
//    for (int i=1;i<=n;i++) {
//        for (int j=1;j<=n;j++) {
//            printf("%d ", manj[i][j]);
//        }
//        printf("\n");
//    }
//    printf("\nmanjj\n");

    for (int i=1;i<=n;i++) {
        for (int j=1;j<=n;j++) {
//            printf("trece %d %d\n", i, j);
            if (manj[i][j] == 2) {
                vect.push_back(i);
                vect.push_back(j);
            }
        }
    }

//    for (int i=0;i<vect.size();i++) printf("%d\n", vect[i]);

    if (!vect.size()) {
        vect.push_back(-1);
        vect.push_back(-1);
    }

    return vect;
}



#endif /* __CODE_H__ */